// ## Static XCLE_Bltn Definition
// DEFINE ~
// INTERN bitnot


XCLE_Primitive(_CodeCall_bitnot) ;


static const XCLE_CodeDef _CodeData_bitnot = 
	{
		"~",
		1, { 1    },
		1, { 1    },
		(const XCLE_CodeOperator) _CodeCall_bitnot,
		"Bitwise 1-complement"
	} ;


XCLE_Primitive(_CodeCall_bitnot) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_IntgNew(~XCLE_IntgValue((XCLE_Intg)obj1))) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


