// ## Static XCLE_Bltn Definition
// DEFINE stkroll
// INTERN stkroll


XCLE_Primitive(_CodeCall_stkroll) ;


static const XCLE_CodeDef _CodeData_stkroll = 
	{
		"stkroll",
		0, { ~0    },
		0, { ~0    },
		(const XCLE_CodeOperator) _CodeCall_stkroll,
		"Rolls down the last object on stack, if any"
	} ;


XCLE_Primitive(_CodeCall_stkroll) {
	unsigned long i ;
	XCLE_Object obj = NULL ;
	if(XCLE_StackDepth(GETSTACK())>0) {
		obj = XCLE_StackGet(GETSTACK(),1) ;
		i = XCLE_StackDepth(GETSTACK()) ;
		while(i>0) {
			obj = XCLE_StackPut(GETSTACK(),obj,i) ;
			i -- ;
		}
	}
	STATUSOK() ;
	/* return ; */
}


