// ## Static XCLE_Bltn Definition
// DEFINE vardel
// INTERN vardel


XCLE_Primitive(_CodeCall_vardel) ;


static const XCLE_CodeDef _CodeData_vardel = 
	{	"vardel",
		1, { 4    },
		0, { ~0   },
		(const XCLE_CodeOperator) _CodeCall_vardel,
		"Undefines a variable"
	} ;


#ifndef MAX_VAR_LEN
#define MAX_VAR_LEN 1024
#endif


XCLE_Primitive(_CodeCall_vardel) {
	XCLE_Object obj1 = NULL ;
	char str[MAX_VAR_LEN] ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_STRG:
		XCLE_StrgValue((XCLE_Strg)obj1,str,MAX_VAR_LEN) ;
		obj1 = XCLE_HashDel(GETNAMES(),str) ;
		if(obj1==NULL) {
			SETSTATUSNUM(NOSUCHVR) ;
			/* return ; */
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	STATUSOK() ;
	/* return ; */
}


