#ifndef MAX_VAR_LEN
#define MAX_VAR_LEN 1024
#endif
#ifndef MAX_VAR_LEN
#define MAX_VAR_LEN 1024
#endif
#ifndef MAX_VAR_LEN
#define MAX_VAR_LEN 1024
#endif
#ifndef MAX_VAR_LEN
#define MAX_VAR_LEN 1024
#endif
#ifndef MAX_VAR_LEN
#define MAX_VAR_LEN 1024
#endif
XCLE_Primitive(_CodeCall_Help) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	char str[CDEF_NAME_LEN+1] ;
	extern XCLE_ParseCtx pctx ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_STRG:
		XCLE_StrgValue((XCLE_Strg)obj1,str,CDEF_NAME_LEN) ;
		obj = XCLE_AnyToObject(XCLE_StrgNew(XCLE_ParseCtx_DescByName(pctx,str))) ;
		if(obj==NULL) {
			XCLE_ObjectFree(obj1) ;
			SETSTATUSNUM(PARSEERR) ;
			/* return ; */
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Noop) {
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Error) {
	XCLE_Exception stat ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	unsigned long num = ERR_RUNTIME ;
	static char msg[256] ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_STRG:
			num = (long)XCLE_IntgValue((XCLE_Intg)obj1) ;
			XCLE_StrgValue((XCLE_Strg)obj2,msg,255) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	stat = XCLE_ExceptionNew(num,msg) ;
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	printf("Died! < %lu - %s >\n",num,msg) ;
	SETSTATUS(stat) ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Die) {
	SETSTATUSMSG("Died") ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Dump) {
#ifdef DUMP_STAT
	unsigned long i = 0 ;
#endif
#ifdef DUMP_STAT
	i = XCLE_StackDepth(GETSTACK()) ;
	while(i>0) {
		XCLE_ObjectStat(XCLE_StackGet(GETSTACK(),i)) ;
		i -- ;
	}
#endif
	XCLE_StackPrintF(GETSTACK(),1,STK_HDR,STK_FMT,STK_TLR,8) ;
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Increment) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_IntgValue((XCLE_Intg)obj1) + 1 )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_FltpValue((XCLE_Fltp)obj1) + 1 )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Decrement) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_IntgValue((XCLE_Intg)obj1) - 1 )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_FltpValue((XCLE_Fltp)obj1) - 1 )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Plus) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_IntgValue((XCLE_Intg)obj1) + XCLE_IntgValue((XCLE_Intg)obj2) )) ;
			break ;
		case XCLE_OT_FLTP:
			obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_IntgValue((XCLE_Intg)obj1) + XCLE_FltpValue((XCLE_Fltp)obj2) )) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
	case XCLE_OT_FLTP:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_FltpValue((XCLE_Fltp)obj1) + XCLE_IntgValue((XCLE_Intg)obj2) )) ;
			break ;
		case XCLE_OT_FLTP:
			obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_FltpValue((XCLE_Fltp)obj1) + XCLE_FltpValue((XCLE_Fltp)obj2) )) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Minus) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_IntgValue((XCLE_Intg)obj2) - XCLE_IntgValue((XCLE_Intg)obj1) )) ;
			break ;
		case XCLE_OT_FLTP:
			obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_FltpValue((XCLE_Fltp)obj2) - XCLE_IntgValue((XCLE_Intg)obj1) )) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
	case XCLE_OT_FLTP:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_IntgValue((XCLE_Intg)obj2) - XCLE_FltpValue((XCLE_Fltp)obj1) )) ;
			break ;
		case XCLE_OT_FLTP:
			obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_FltpValue((XCLE_Fltp)obj2) - XCLE_FltpValue((XCLE_Fltp)obj1) )) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Mult) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_IntgValue((XCLE_Intg)obj1) * XCLE_IntgValue((XCLE_Intg)obj2) )) ;
			break ;
		case XCLE_OT_FLTP:
			obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_IntgValue((XCLE_Intg)obj1) * XCLE_FltpValue((XCLE_Fltp)obj2) )) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
	case XCLE_OT_FLTP:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_FltpValue((XCLE_Fltp)obj1) * XCLE_IntgValue((XCLE_Intg)obj2) )) ;
			break ;
		case XCLE_OT_FLTP:
			obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_FltpValue((XCLE_Fltp)obj1) * XCLE_FltpValue((XCLE_Fltp)obj2) )) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Div) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		if(XCLE_IntgValue((XCLE_Intg)obj1)==0) {
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(INVARGVAL) ;
			/* return ; */
		}
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_IntgValue((XCLE_Intg)obj2) / XCLE_IntgValue((XCLE_Intg)obj1) )) ;
			break ;
		case XCLE_OT_FLTP:
			obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_FltpValue((XCLE_Fltp)obj2) / XCLE_IntgValue((XCLE_Intg)obj1) )) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
	case XCLE_OT_FLTP:
		if(XCLE_FltpValue((XCLE_Fltp)obj1)==0) {
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(INVARGVAL) ;
			/* return ; */
		}
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_IntgValue((XCLE_Intg)obj2) / XCLE_FltpValue((XCLE_Fltp)obj1)  )) ;
			break ;
		case XCLE_OT_FLTP:
			obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_FltpValue((XCLE_Fltp)obj2) / XCLE_FltpValue((XCLE_Fltp)obj1) )) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Quotient) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		if(XCLE_IntgValue((XCLE_Intg)obj1)==0) {
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(INVARGVAL) ;
			/* return ; */
		}
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_IntgNew( (long) XCLE_IntgValue((XCLE_Intg)obj2) / XCLE_IntgValue((XCLE_Intg)obj1) )) ;
			break ;
		case XCLE_OT_FLTP:
			obj = XCLE_AnyToObject(XCLE_IntgNew( (long) XCLE_FltpValue((XCLE_Fltp)obj2) / XCLE_IntgValue((XCLE_Intg)obj1) )) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
	case XCLE_OT_FLTP:
		if(XCLE_FltpValue((XCLE_Fltp)obj2)==0) {
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(INVARGVAL) ;
			/* return ; */
		}
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_IntgNew( (long) XCLE_IntgValue((XCLE_Intg)obj2) / XCLE_FltpValue((XCLE_Fltp)obj1) )) ;
			break ;
		case XCLE_OT_FLTP:
			obj = XCLE_AnyToObject(XCLE_IntgNew( (long) XCLE_FltpValue((XCLE_Fltp)obj2) / XCLE_FltpValue((XCLE_Fltp)obj1) )) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Mod) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_IntgValue((XCLE_Intg)obj2)%XCLE_IntgValue((XCLE_Intg)obj1) )) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Pow) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_IntgNew((long)pow((double)XCLE_IntgValue((XCLE_Intg)obj2),(double)XCLE_IntgValue((XCLE_Intg)obj1)))) ;
			break ;
		case XCLE_OT_FLTP:
			obj = XCLE_AnyToObject(XCLE_FltpNew((double)pow((double)XCLE_FltpValue((XCLE_Fltp)obj2),(double)XCLE_IntgValue((XCLE_Intg)obj1)))) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
	case XCLE_OT_FLTP:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_FltpNew((double)pow((double)XCLE_IntgValue((XCLE_Intg)obj2),(double)XCLE_FltpValue((XCLE_Fltp)obj1)))) ;
			break ;
		case XCLE_OT_FLTP:
			obj = XCLE_AnyToObject(XCLE_FltpNew((double)pow((double)XCLE_FltpValue((XCLE_Fltp)obj2),(double)XCLE_FltpValue((XCLE_Fltp)obj1)))) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Round) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_IntgNew( (long)XCLE_IntgValue((XCLE_Intg)obj1) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_IntgNew( (long)XCLE_FltpValue((XCLE_Fltp)obj1) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Same) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	unsigned long t = 0 ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	if(XCLE_ObjectType(obj1)!=XCLE_ObjectType(obj2)) obj = XCLE_AnyToObject(XCLE_IntgNew(0)) ;
	else {
		t = XCLE_ObjectEqual(obj1,obj2) ;
#ifdef DOCHECK
		if(t==-1) {
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
		}
#endif
		obj = XCLE_AnyToObject(XCLE_IntgNew(t)) ;
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Eq) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_IntgValue((XCLE_Intg)obj1) == XCLE_IntgValue((XCLE_Intg)obj2) )) ;
			break ;
		case XCLE_OT_FLTP:
			obj = XCLE_AnyToObject(XCLE_IntgNew( (double)XCLE_IntgValue((XCLE_Intg)obj1) == XCLE_FltpValue((XCLE_Fltp)obj2) )) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
	case XCLE_OT_FLTP:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_FltpValue((XCLE_Fltp)obj1) == (double)XCLE_IntgValue((XCLE_Intg)obj2) )) ;
			break ;
		case XCLE_OT_FLTP:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_FltpValue((XCLE_Fltp)obj1) == XCLE_FltpValue((XCLE_Fltp)obj2) )) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_NotEqual) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_IntgValue((XCLE_Intg)obj1) != XCLE_IntgValue((XCLE_Intg)obj2) )) ;
			break ;
		case XCLE_OT_FLTP:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_IntgValue((XCLE_Intg)obj1) != XCLE_FltpValue((XCLE_Fltp)obj2) )) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
	case XCLE_OT_FLTP:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_FltpValue((XCLE_Fltp)obj1) != XCLE_IntgValue((XCLE_Intg)obj2) )) ;
			break ;
		case XCLE_OT_FLTP:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_FltpValue((XCLE_Fltp)obj1) != XCLE_FltpValue((XCLE_Fltp)obj2) )) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_LessThan) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_IntgValue((XCLE_Intg)obj2) < XCLE_IntgValue((XCLE_Intg)obj1) )) ;
			break ;
		case XCLE_OT_FLTP:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_FltpValue((XCLE_Fltp)obj2) < (double)XCLE_IntgValue((XCLE_Intg)obj1) )) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
	case XCLE_OT_FLTP:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_IntgNew( (double)XCLE_IntgValue((XCLE_Intg)obj2) < XCLE_FltpValue((XCLE_Fltp)obj1) )) ;
			break ;
		case XCLE_OT_FLTP:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_FltpValue((XCLE_Fltp)obj2) < XCLE_FltpValue((XCLE_Fltp)obj1) )) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_LessOrEqual) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_IntgValue((XCLE_Intg)obj2) <= XCLE_IntgValue((XCLE_Intg)obj1) )) ;
			break ;
		case XCLE_OT_FLTP:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_FltpValue((XCLE_Fltp)obj2) <= (double)XCLE_IntgValue((XCLE_Intg)obj1) )) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
	case XCLE_OT_FLTP:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_IntgNew( (double)XCLE_IntgValue((XCLE_Intg)obj2) <= XCLE_FltpValue((XCLE_Fltp)obj1) )) ;
			break ;
		case XCLE_OT_FLTP:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_FltpValue((XCLE_Fltp)obj2) <= XCLE_FltpValue((XCLE_Fltp)obj1) )) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_GreaterThan) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_IntgValue((XCLE_Intg)obj2) > XCLE_IntgValue((XCLE_Intg)obj1) )) ;
			break ;
		case XCLE_OT_FLTP:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_FltpValue((XCLE_Fltp)obj2) > (double)XCLE_IntgValue((XCLE_Intg)obj1) )) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
	case XCLE_OT_FLTP:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_IntgNew( (double)XCLE_IntgValue((XCLE_Intg)obj2) > XCLE_FltpValue((XCLE_Fltp)obj1) )) ;
			break ;
		case XCLE_OT_FLTP:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_FltpValue((XCLE_Fltp)obj2) > XCLE_FltpValue((XCLE_Fltp)obj1) )) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_GreaterOrEqual) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_IntgValue((XCLE_Intg)obj2) >= XCLE_IntgValue((XCLE_Intg)obj1) )) ;
			break ;
		case XCLE_OT_FLTP:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_FltpValue((XCLE_Fltp)obj2) >= (double)XCLE_IntgValue((XCLE_Intg)obj1) )) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
	case XCLE_OT_FLTP:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_IntgNew( (double)XCLE_IntgValue((XCLE_Intg)obj2) >= XCLE_FltpValue((XCLE_Fltp)obj1) )) ;
			break ;
		case XCLE_OT_FLTP:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_FltpValue((XCLE_Fltp)obj2) >= XCLE_FltpValue((XCLE_Fltp)obj1) )) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_And) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_IntgValue((XCLE_Intg)obj1) & XCLE_IntgValue((XCLE_Intg)obj2) )) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_AND) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_IntgValue((XCLE_Intg)obj1) && XCLE_IntgValue((XCLE_Intg)obj2) )) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Or) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_IntgValue((XCLE_Intg)obj1) | XCLE_IntgValue((XCLE_Intg)obj2) )) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_OR) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_IntgValue((XCLE_Intg)obj1) || XCLE_IntgValue((XCLE_Intg)obj2) )) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Not) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_IntgNew(~XCLE_IntgValue((XCLE_Intg)obj1))) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_NOT) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_IntgNew(!XCLE_IntgValue((XCLE_Intg)obj1))) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Xor) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			obj = XCLE_AnyToObject(XCLE_IntgNew( XCLE_IntgValue((XCLE_Intg)obj1) ^ XCLE_IntgValue((XCLE_Intg)obj2) )) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Clear) {
	XCLE_Object obj ;
	while(XCLE_StackDepth(GETSTACK())) {
		obj = XCLE_StackPop(GETSTACK()) ;
		XCLE_ObjectFree(obj) ;
	}
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Depth) {
	XCLE_Object obj = NULL ;
	obj = XCLE_AnyToObject(XCLE_IntgNew(XCLE_StackDepth(GETSTACK()))) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Drop) {
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	XCLE_ObjectFree(obj1) ;
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_DropN) {
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	unsigned long i = 0 ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		i = (long)XCLE_IntgValue((XCLE_Intg)obj1) ;
		break ;
	case XCLE_OT_FLTP:
		i = (long)XCLE_FltpValue((XCLE_Fltp)obj1) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if((i>=0)&&(i<=XCLE_StackDepth(GETSTACK()))) {
		while(i>0) {
			obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
			if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
			XCLE_ObjectFree(obj2) ;
			i -- ;
		}
	}
	else {
		SETSTATUSNUM(INVARGVAL) ;
		/* return ; */
	}
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Dup) {
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackGet(GETSTACK(),1) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	if(XCLE_StackPush(GETSTACK(),obj1)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_DupN) {
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	unsigned long i = 0 ;
	unsigned long j ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		i = (long)XCLE_IntgValue((XCLE_Intg)obj1) ;
		break ;
	case XCLE_OT_FLTP:
		i = (long)XCLE_FltpValue((XCLE_Fltp)obj1) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if((i>=0)&&(i<=XCLE_StackDepth(GETSTACK()))) {
		j = i ;
		while(j>0) {
			obj2 = XCLE_StackGet(GETSTACK(),i) ;
#ifdef DOCHECK
			if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
			XCLE_StackPush(GETSTACK(),obj2) ;
			j -- ;
		}
	}
	else {
		SETSTATUSNUM(INVARGVAL) ;
		/* return ; */
	}
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Swap) {
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	if(XCLE_StackPush(GETSTACK(),obj1)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj2)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Peek) {
	unsigned long n = 0 ;
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		n = XCLE_IntgValue((XCLE_Intg)obj1) ;
		if((n==0)||(n>XCLE_StackDepth(GETSTACK()))) {
			SETSTATUSNUM(INVARGVAL) ;
			/* return ; */
		}
//		obj = XCLE_ObjectCopy(XCLE_StackGet(GETSTACK(),XCLE_IntgValue((XCLE_Intg)obj1))) ;
		obj = XCLE_StackGet(GETSTACK(),n) ;
#ifdef DOCHECK
		if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Poke) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	unsigned long n ;
	XCLE_Object * tab ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
		if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	n = XCLE_IntgValue((XCLE_Intg)obj1) ;
	tab = malloc(n*sizeof(XCLE_Object)) ;
	if(tab==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	while(n>0) {
		n -- ;
		tab[n] = XCLE_StackPop(GETSTACK()) ;
	}
	XCLE_StackPush(GETSTACK(),obj) ;
	n = 0 ;
	while(n<XCLE_IntgValue((XCLE_Intg)obj1)) {
		XCLE_StackPush(GETSTACK(),tab[n]) ;
		n ++ ;
	}
	XCLE_ObjectFree(obj1) ;
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Pong) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
		if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_RollStack) {
	unsigned long i ;
	XCLE_Object obj = NULL ;
	if(XCLE_StackDepth(GETSTACK())>0) {
		obj = XCLE_StackGet(GETSTACK(),1) ;
		i = XCLE_StackDepth(GETSTACK()) ;
		while(i>0) {
			obj = XCLE_StackPut(GETSTACK(),obj,i) ;
			i -- ;
		}
	}
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_RotStack) {
	unsigned long i ;
	XCLE_Object obj = NULL ;
	if(XCLE_StackDepth(GETSTACK())>0) {
		obj = XCLE_StackGet(GETSTACK(),XCLE_StackDepth(GETSTACK())) ;
		i = 1 ;
		while(i<=XCLE_StackDepth(GETSTACK())) {
			obj = XCLE_StackPut(GETSTACK(),obj,i) ;
			i ++ ;
		}
	}
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Vars) {
	XCLE_Object obj = NULL ;
	obj = XCLE_AnyToObject(XCLE_HashList(GETNAMES())) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_ExistsVar) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	char str[MAX_VAR_LEN+1] ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_STRG:
		XCLE_StrgValue((XCLE_Strg)obj1,str,MAX_VAR_LEN) ;
		obj = XCLE_HashGet(GETNAMES(),str) ;
		if(obj==NULL) obj = XCLE_AnyToObject(XCLE_IntgNew(0)) ;
		else obj = XCLE_AnyToObject(XCLE_IntgNew(1)) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_StoreVar) {
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	char str[MAX_VAR_LEN+1] ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_STRG:
		XCLE_StrgValue((XCLE_Strg)obj1,str,MAX_VAR_LEN) ;
		obj2 = XCLE_HashSet(GETNAMES(),str,obj2) ;
#ifdef DOCHECK
		if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_RecallVar) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	char str[MAX_VAR_LEN+1] ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_STRG:
		XCLE_StrgValue((XCLE_Strg)obj1,str,MAX_VAR_LEN) ;
		obj = XCLE_HashGet(GETNAMES(),str) ;
		if(obj==NULL) {
			SETSTATUSNUM(NOSUCHVR) ;
			/* return ; */
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_DelVar) {
	XCLE_Object obj1 = NULL ;
	char str[MAX_VAR_LEN] ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_STRG:
		XCLE_StrgValue((XCLE_Strg)obj1,str,MAX_VAR_LEN) ;
		obj1 = XCLE_HashDel(GETNAMES(),str) ;
		if(obj1==NULL) {
			SETSTATUSNUM(NOSUCHVR) ;
			/* return ; */
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_CallVar) {
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
       	XCLE_Exception ret ;
	char str[MAX_VAR_LEN+1] ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_STRG:
		XCLE_StrgValue((XCLE_Strg)obj1,str,MAX_VAR_LEN) ;
		obj2 = XCLE_HashGet(GETNAMES(),str) ;
		if(obj2==NULL) {
			SETSTATUSNUM(NOSUCHVR) ;
			/* return ; */
		}
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_LIST:
			ret = XCLE_ListEval(ctx,GETSTACK(),GETNAMES(),(XCLE_List)obj2) ;
			if(ret!=XCLE_EXCEPTION_OK) {
				XCLE_ObjectFree(obj1) ;
				SETSTATUS(ret) ;
				/* return ; */
			}
			break ;
		default:
			XCLE_ObjectFree(obj1) ;
			SETSTATUSNUM(INVARGTYP) ;
			/* return ; */
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_False) {
	XCLE_Object obj = NULL ;
	obj = XCLE_AnyToObject(XCLE_IntgNew(0)) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_True) {
	XCLE_Object obj = NULL ;
	obj = XCLE_AnyToObject(XCLE_IntgNew(1)) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Undef) {
	XCLE_Object obj = NULL ;
	obj = XCLE_AnyToObject(XCLE_VoidAlloc()) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_IsDef) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_VOID:
		obj = XCLE_AnyToObject(XCLE_IntgNew(0)) ;
		break ;
	default:
		obj = XCLE_AnyToObject(XCLE_IntgNew(1)) ;
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_IsIntg) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_IntgNew(1)) ;
		break ;
	default:
		obj = XCLE_AnyToObject(XCLE_IntgNew(0)) ;
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_IsFltp) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_IntgNew(1)) ;
		break ;
	default:
		obj = XCLE_AnyToObject(XCLE_IntgNew(0)) ;
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_IsStrg) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if( (obj1==NULL) ) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj = XCLE_AnyToObject(XCLE_IntgNew(XCLE_ObjectType(obj1)==XCLE_OT_STRG)) ;
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_IsGroup) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if( (obj1==NULL) ) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj = XCLE_AnyToObject(XCLE_IntgNew(XCLE_ObjectType(obj1)==XCLE_OT_LIST)) ;
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Break) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	unsigned long l = 0 ;
	unsigned long i = 0 ;
	XCLE_List lst ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_LIST:
		lst = (XCLE_List)obj1 ;
		l = XCLE_ListLen(lst) ;
		while(i<l) {
			obj = XCLE_ListGet(lst,i) ;
			if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
			if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
			i ++ ;
		}
		obj = XCLE_AnyToObject(XCLE_IntgNew(l)) ;
		if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
		if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Group) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	unsigned long i = 0 ;
	XCLE_List lst = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		lst = XCLE_ListAlloc() ;
		i = XCLE_IntgValue((XCLE_Intg)obj1) ;
		if(i<0) {
			SETSTATUSNUM(INVARGVAL) ;
			/* return ; */
		}
		if(i>XCLE_StackDepth(GETSTACK())) {
			SETSTATUSNUM(TOOFEWARG) ;
			/* return ; */
		}
		while(i>0) {
			obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
			if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
			if(XCLE_ListUnshift(lst,obj2)==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
			i -- ;
		}
		obj = XCLE_AnyToObject(lst) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Cat) {
	XCLE_List lst1, lst2 ;
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_LIST:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_LIST:
			lst1 = XCLE_ListClone((XCLE_List)obj2) ;
			lst2 = XCLE_ListClone((XCLE_List)obj1) ;
			obj = XCLE_AnyToObject(XCLE_ListIns(lst1,XCLE_ListLen(lst1),lst2)) ;
			XCLE_ListFree(lst2) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	if(obj==NULL) { XCLE_ObjectFree(obj1) ; XCLE_ObjectFree(obj2) ; SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { XCLE_ObjectFree(obj1) ; XCLE_ObjectFree(obj2) ; SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Get) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	XCLE_List lst ;
	unsigned long i = 0 ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_LIST:
			i = (long)XCLE_IntgValue((XCLE_Intg)obj1) ;
			lst = (XCLE_List)obj2 ;
			if(i<0) {
				XCLE_ObjectFree(obj1) ;
				XCLE_ObjectFree(obj2) ;
				SETSTATUSNUM(INVARGVAL) ;
				/* return ; */
			}
			else if(i<XCLE_ListLen(lst)) {
				obj = XCLE_ListGet(lst,i) ;
			}
			else {
				XCLE_ObjectFree(obj1) ;
				XCLE_ObjectFree(obj2) ;
				SETSTATUSNUM(OUTRANGE) ;
				/* return ; */
			}
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	if(obj==NULL) { XCLE_ObjectFree(obj1) ; XCLE_ObjectFree(obj2) ; SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { XCLE_ObjectFree(obj1) ; XCLE_ObjectFree(obj2) ; SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_GroupSize) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_List lst = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_LIST:
		lst = (XCLE_List)obj1 ;
		obj = XCLE_AnyToObject(XCLE_IntgNew(XCLE_ListLen(lst))) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Map) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
       	XCLE_Exception ret ;
	unsigned long l, i ;
	XCLE_List lst ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_LIST:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_LIST:
			lst = XCLE_ListAlloc() ;
			l = XCLE_ListLen((XCLE_List)obj2) ;
			i = 0 ;
			while(i<l) {
				XCLE_StackPush(GETSTACK(),XCLE_ListGet((XCLE_List)obj2,i)) ;
				ret = XCLE_ListEval(ctx,GETSTACK(),GETNAMES(),(XCLE_List)obj1) ;
				if(ret!=XCLE_EXCEPTION_OK) {
					XCLE_ObjectFree(obj1) ;
					SETSTATUS(ret) ;
					/* return ; */
				}
				if(XCLE_StackDepth(GETSTACK())>0) XCLE_ListPush(lst,XCLE_StackPop(GETSTACK())) ;
				i ++ ;
			}
			obj = XCLE_AnyToObject(lst) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	if(obj==NULL) {
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
	}
	if(XCLE_StackPush(GETSTACK(),obj)==-1) {
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Acc) {
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	XCLE_Object obj3 = NULL ;
       	XCLE_Exception ret ;
	unsigned short t ;
	unsigned long l, i ;
	XCLE_List lst ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_LIST:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_LIST:
			lst = XCLE_ListAlloc() ;
			l = XCLE_ListLen((XCLE_List)obj2) ;
			i = 0 ;
			t = 1 ;
			while((i<l)&&t) {
				XCLE_StackPush(GETSTACK(),XCLE_ListGet((XCLE_List)obj2,i)) ;
				ret = XCLE_ListEval(ctx,GETSTACK(),GETNAMES(),(XCLE_List)obj1) ;
				if(ret!=XCLE_EXCEPTION_OK) {
					XCLE_ObjectFree(obj1) ;
					SETSTATUS(ret) ;
					/* return ; */
				}
				/*
				if(XCLE_StackChkType(GETSTACK(),1,&t)) {
					STATUSOK() ;
					// return ; 
				}
				*/
				obj3 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
				if(obj3==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
				switch(XCLE_ObjectType(obj3)) {
					case XCLE_OT_INTG:
						t = (XCLE_IntgValue((XCLE_Intg)obj3)!=0) ;
						XCLE_ObjectFree(obj3) ;
						break ;
#ifdef DOCHECK
					default:
						XCLE_ObjectFree(obj3) ;
						SETSTATUSNUM(RUNTIME) ;
						/* return ; */
#endif
				}
				i ++ ;
			}
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Exec) {
	XCLE_Object obj1 = NULL ;
       	XCLE_Exception ret ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_LIST:
		ret = XCLE_ListEval(ctx,GETSTACK(),GETNAMES(),(XCLE_List)obj1) ;
		if(ret!=XCLE_EXCEPTION_OK) {
			XCLE_ObjectFree(obj1) ;
			SETSTATUS(ret) ;
			/* return ; */
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_If) {
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
       	XCLE_Exception ret ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_LIST:
			if(XCLE_IntgValue((XCLE_Intg)obj1)) {
				ret = XCLE_ListEval(ctx,GETSTACK(),GETNAMES(),(XCLE_List)obj2) ;
				if(ret!=XCLE_EXCEPTION_OK) {
					XCLE_ObjectFree(obj1) ;
					XCLE_ObjectFree(obj2) ;
					SETSTATUS(ret) ;
					/* return ; */
				}
			}
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_IfElse) {
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	XCLE_Object obj3 = NULL ;
       	XCLE_Exception ret ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj3 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj3==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_LIST:
			switch(XCLE_ObjectType(obj3)) {
			case XCLE_OT_LIST:
				if(XCLE_IntgValue((XCLE_Intg)obj1)) {
					ret = XCLE_ListEval(ctx,GETSTACK(),GETNAMES(),(XCLE_List)obj2) ;
					if(ret!=XCLE_EXCEPTION_OK) {
						XCLE_ObjectFree(obj1) ;
						XCLE_ObjectFree(obj2) ;
						XCLE_ObjectFree(obj3) ;
						SETSTATUS(ret) ;
						/* return ; */
					}
				}
				else {
					ret = XCLE_ListEval(ctx,GETSTACK(),GETNAMES(),(XCLE_List)obj3) ;
					if(ret!=XCLE_EXCEPTION_OK) {
						XCLE_ObjectFree(obj1) ;
						XCLE_ObjectFree(obj2) ;
						XCLE_ObjectFree(obj3) ;
						SETSTATUS(ret) ;
						/* return ; */
					}
				}
				break ;
#ifdef DOCHECK
			default:
				XCLE_ObjectFree(obj1) ;
				XCLE_ObjectFree(obj2) ;
				XCLE_ObjectFree(obj3) ;
				SETSTATUSNUM(RUNTIME) ;
				/* return ; */
#endif
			}
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			XCLE_ObjectFree(obj3) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		XCLE_ObjectFree(obj3) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	XCLE_ObjectFree(obj3) ;
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Loop) {
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	unsigned short t ;
       	XCLE_Exception ret ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_LIST:
		t = 1 ;
		while(t) {
			ret = XCLE_ListEval(ctx,GETSTACK(),GETNAMES(),(XCLE_List)obj1) ;
			if(ret!=XCLE_EXCEPTION_OK) {
				XCLE_ObjectFree(obj1) ;
				SETSTATUS(ret) ;
				/* return ; */
			}
			if(XCLE_StackDepth(GETSTACK())<1) {
				SETSTATUSNUM(TOOFEWARG) ;
				/* return ; */
			}
			t = 1 ;
			if(XCLE_StackChkType(GETSTACK(),1,&t)) {
				SETSTATUSNUM(INVARGTYP) ;
				/* return ; */
			}
			obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
			if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
			switch(XCLE_ObjectType(obj2)) {
				case XCLE_OT_INTG:
					t = (XCLE_IntgValue((XCLE_Intg)obj2)!=0) ;
					XCLE_ObjectFree(obj2) ;
					break ;
#ifdef DOCHECK
				default:
					XCLE_ObjectFree(obj2) ;
					SETSTATUSNUM(RUNTIME) ;
					/* return ; */
#endif
			}
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_ToStrg) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	char * buffer ;
	unsigned long len ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	len = XCLE_ObjectToString(obj1,NULL,0) ;
	if(len==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	buffer = malloc(len+1) ;
	if(XCLE_ObjectToString(obj1,buffer,len+1)!=len) { free(buffer) ; SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	buffer[len] = '\0' ;
	obj = XCLE_AnyToObject(XCLE_StrgNew(buffer)) ;
	free(buffer) ;
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_ObjectParse) {
// TODO OBJ Parser
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_List lst ;
	char * str = NULL ;
	unsigned long off = 0 ;
	extern XCLE_ParseCtx pctx ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_STRG:
		str = malloc(XCLE_StrgLen((XCLE_Strg)obj1)+1) ;
		if(str==NULL) {
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
			break ;
		}
		str[0] = 0 ;	// Just to be sure
		XCLE_StrgValue((XCLE_Strg)obj1,str,XCLE_StrgLen((XCLE_Strg)obj1)) ;
		lst = XCLE_ListParse(pctx,str,&off) ;
		free(str) ;
		if(lst==NULL) {
			XCLE_ObjectFree(obj1) ;
			SETSTATUSNUM(PARSEERR) ;
			/* return ; */
		}
		obj = XCLE_AnyToObject(lst) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_Print) {
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	XCLE_ObjectPrint(obj1,1) ;
	XCLE_ObjectFree(obj1) ;
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_PrintLn) {
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	XCLE_ObjectPrint(obj1,1) ;
	XCLE_ObjectFree(obj1) ;
	if(write(1,"\n",1)<1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


XCLE_Primitive(_CodeCall_PrintStr) {
	XCLE_Object obj1 = NULL ;
	char * str = NULL ;
	unsigned long s = 0 ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_STRG:
		str = malloc(XCLE_StrgLen((XCLE_Strg)obj1)+1) ;
		if(str==NULL) {
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
			break ;
		}
		str[0] = 0 ;	// Just to be sure
		s = XCLE_StrgValue((XCLE_Strg)obj1,str,XCLE_StrgLen((XCLE_Strg)obj1)) ;
		str[s] = '\0' ;
		if(write(1,str,s)<s) {
			XCLE_ObjectFree(obj1) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	STATUSOK() ;
	/* return ; */
}



const unsigned long XCL_Registry_Vers = XCLE_MAKEVERSIONID(1,0,0) ;

const unsigned long XCL_Registry_Size = 71 ;

XCLE_CodeDef XCL_Registry_Table[71] = {
	{ "help", 1, { 4    }, 1, { 4    }, (const XCLE_CodeOperator) _CodeCall_Help, "Returns the description of a primitive" } ,
	{ "noop", 0, { ~0   }, 0, { ~0   }, (const XCLE_CodeOperator) _CodeCall_Noop, "Does nothing" } ,
	{ "error", 2, { 1, 4 }, 0, { ~0   }, (const XCLE_CodeOperator) _CodeCall_Error, "Aborts with specified error" } ,
	{	"!", 0, { ~0   }, 0, {  0   }, (const XCLE_CodeOperator) _CodeCall_Die, "" } ,
	{ "dump", 0, { ~0   }, 0, { ~0   }, (const XCLE_CodeOperator) _CodeCall_Dump, "Prints the stack" } ,
	{	"inc", 1, { 3    }, 1, { 3    }, (const XCLE_CodeOperator) _CodeCall_Increment, "Numeric 1-incrementation" } ,
	{	"dec", 1, { 3    }, 1, { 3    }, (const XCLE_CodeOperator) _CodeCall_Decrement, "Numeric 1-decrementation" } ,
	{	"+", 2, { 3, 3 }, 1, { 3    }, (const XCLE_CodeOperator) _CodeCall_Plus, "Numeric addition" } ,
	{	"-", 2, { 3, 3 }, 1, { 3    }, (const XCLE_CodeOperator) _CodeCall_Minus, "Numeric substraction" } ,
	{	"*", 2, { 3, 3 }, 1, { 3    }, (const XCLE_CodeOperator) _CodeCall_Mult, "Numeric product" } ,
	{	"/", 2, { 3, 3 }, 1, { 3    }, (const XCLE_CodeOperator) _CodeCall_Div, "Numeric quotient" } ,
	{	":", 2, { 1, 1 }, 1, { 1    }, (const XCLE_CodeOperator) _CodeCall_Quotient, "Integer exact division" } ,
	{	"%", 2, { 1, 1 }, 1, { 1    }, (const XCLE_CodeOperator) _CodeCall_Mod, "Integer remainder" } ,
	{	"**", 2, { 3, 3 }, 1, { 3    }, (const XCLE_CodeOperator) _CodeCall_Pow, "Numeric power" } ,
	{ "round", 1, {  3    }, 1, {  1    }, (const XCLE_CodeOperator) _CodeCall_Round, "Rounds a number" } ,
	{ "same", 2, { ~0,~0}, 1, { 1    }, (const XCLE_CodeOperator) _CodeCall_Same, "Tests if two objects are equal" } ,
	{	"==", 2, { 3, 3 }, 1, { 1    }, (const XCLE_CodeOperator) _CodeCall_Eq, "Boolean numeric equality" } ,
	{	"!=", 2, {  3, 3  }, 1, {  1     }, (const XCLE_CodeOperator) _CodeCall_NotEqual, "Numeric unequality" } ,
	{	"lt", 2, { 3, 3 }, 1, { 1    }, (const XCLE_CodeOperator) _CodeCall_LessThan, "Numeric less-than comparison" } ,
	{	"lte", 2, { 3, 3 }, 1, { 1    }, (const XCLE_CodeOperator) _CodeCall_LessOrEqual, "Numeric less-than-or-equal comparison" } ,
	{	"gt", 2, { 3, 3 }, 1, { 1    }, (const XCLE_CodeOperator) _CodeCall_GreaterThan, "Numeric greater-than comparison" } ,
	{	">=", 2, { 3, 3 }, 1, { 1    }, (const XCLE_CodeOperator) _CodeCall_GreaterOrEqual, "Numeric greater-than-or-equal comparison" } ,
	{	"&", 2, { 1, 1 }, 1, { 1    }, (const XCLE_CodeOperator) _CodeCall_And, "Bitwise and" } ,
	{	"and", 2, { 1, 1 }, 1, { 1    }, (const XCLE_CodeOperator) _CodeCall_AND, "Boolean conjunction" } ,
	{ "|", 2, { 1, 1 }, 1, { 1    }, (const XCLE_CodeOperator) _CodeCall_Or, "Bitwise or" } ,
	{ "or", 2, { 1, 1 }, 1, { 1    }, (const XCLE_CodeOperator) _CodeCall_OR, "Boolean disjunction" } ,
	{ "~", 1, { 1    }, 1, { 1    }, (const XCLE_CodeOperator) _CodeCall_Not, "Bitwise 1-complement" } ,
	{ "not", 1, { 1    }, 1, { 1    }, (const XCLE_CodeOperator) _CodeCall_NOT, "Boolean negation" } ,
	{ "^", 2, {  1,  1 }, 1, {  1     }, (const XCLE_CodeOperator) _CodeCall_Xor, "Bitwise xor" } ,
	{	"clrstk", 0, { ~0   }, 0, { ~0   }, (const XCLE_CodeOperator) _CodeCall_Clear, "Clears the stack" } ,
	{	"depth", 0, { ~0   }, 1, { 1    }, (const XCLE_CodeOperator) _CodeCall_Depth, "Depth of the stack" } ,
	{	"drop", 1, { ~0   }, 0, { ~0   }, (const XCLE_CodeOperator) _CodeCall_Drop, "Drops the first object on stack" } ,
	{ "dropN", 1, { 1    }, 0, {~0    }, (const XCLE_CodeOperator) _CodeCall_DropN, "Drops the N first object on stack" } ,
	{ "dup", 1, { ~0   }, 2, {~0, ~0}, (const XCLE_CodeOperator) _CodeCall_Dup, "Duplicates the first object on stack" } ,
	{ "dupN", 1, { 1    }, ~0,{ ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0}, (const XCLE_CodeOperator) _CodeCall_DupN, "Duplicates the N first objects on stack in order" } ,
	{ "swap", 2, { ~0, ~0 }, 2, { ~0, ~0 }, (const XCLE_CodeOperator) _CodeCall_Swap, "Swaps the two first objects on stack" } ,
	{ "peek", 1, { 1    }, 1, { ~0   }, (const XCLE_CodeOperator) _CodeCall_Peek, "Gets the object on level stack[0]" } ,
	{ "poke", 2, {  1, ~0 }, 0, { ~0     }, (const XCLE_CodeOperator) _CodeCall_Poke, "Inserts the object stack[1] on level stack[0]" } ,
	{ "pong", 2, {  1, ~0 }, 0, { ~0     }, (const XCLE_CodeOperator) _CodeCall_Pong, "Inserts the object stack[1] on level stack[0]" } ,
	{ "rolstk", 0, { ~0    }, 0, { ~0    }, (const XCLE_CodeOperator) _CodeCall_RollStack, "Rolls down the last object on stack, if any" } ,
	{ "rotstk", 0, { ~0    }, 0, { ~0    }, (const XCLE_CodeOperator) _CodeCall_RotStack, "Rolls up the first object on stack, if any" } ,
	{ "vars", 0, { ~0     }, 1, {  8     }, (const XCLE_CodeOperator) _CodeCall_Vars, "Lists all existing variables" } ,
	{ "exsv", 1, { 4    }, 1, { 1    }, (const XCLE_CodeOperator) _CodeCall_ExistsVar, "Tells wether a variable is defined" } ,
	{ "stov", 2, {  4, ~0 }, 0, { ~0     }, (const XCLE_CodeOperator) _CodeCall_StoreVar, "Stores a value in a variable" } ,
	{ "rclv", 1, {  4     }, 1, { ~0     }, (const XCLE_CodeOperator) _CodeCall_RecallVar, "Recalls a variable's value" } ,
	{	"delv", 1, { 4    }, 0, { ~0   }, (const XCLE_CodeOperator) _CodeCall_DelVar, "Undefines a variable" } ,
	{	"calv", 1, { 4    }, ~0,{~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0,}, (const XCLE_CodeOperator) _CodeCall_CallVar, "Execute a variable's content" } ,
	{ "false", 0, { ~0   }, 1, { 1    }, (const XCLE_CodeOperator) _CodeCall_False, "Always False" } ,
	{ "true", 0, { ~0     }, 1, {  1     }, (const XCLE_CodeOperator) _CodeCall_True, "Always True" } ,
	{ "undef", 0, { ~0     }, 1, {  0     }, (const XCLE_CodeOperator) _CodeCall_Undef, "Pushes 'undef'" } ,
	{ "isdef", 1, { ~0   }, 1, { 1    }, (const XCLE_CodeOperator) _CodeCall_IsDef, "Tells wether first object on stack is not 'undef'" } ,
	{ "isintg", 1, { ~0   }, 1, { 1    }, (const XCLE_CodeOperator) _CodeCall_IsIntg, "Boolean type test for an integer" } ,
	{ "isfltp", 1, { ~0   }, 1, { 1    }, (const XCLE_CodeOperator) _CodeCall_IsFltp, "Boolean type test for a float" } ,
	{ "isstrg", 1, { ~0   }, 1, { 1    }, (const XCLE_CodeOperator) _CodeCall_IsStrg, "Boolean type test for a string" } ,
	{	"isgrp", 1, { ~0  }, 1, { 1   }, (const XCLE_CodeOperator) _CodeCall_IsGroup, "Boolean type test for a compound object" } ,
	{	"break", 1, { 8    }, ~0,{ 1, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0 }, (const XCLE_CodeOperator) _CodeCall_Break, "Breaks a compound object" } ,
	{ "group", 1, { 1, ~0}, 1, { 8    }, (const XCLE_CodeOperator) _CodeCall_Group, "Builds a compound object" } ,
	{	"cat", 2, { 8, 8 }, 1, { 8    }, (const XCLE_CodeOperator) _CodeCall_Cat, "Concatenes two compound objects" } ,
	{ "get", 2, { 1, 8 }, 1, { ~0   }, (const XCLE_CodeOperator) _CodeCall_Get, "Gets an object by its position in a compound object" } ,
	{ "gsize", 1, { 8    }, 1, { 1    }, (const XCLE_CodeOperator) _CodeCall_GroupSize, "Size of a compound object" } ,
	{ "map", 2, {  8,  8 }, 1, {  8     }, (const XCLE_CodeOperator) _CodeCall_Map, "Transforms each element in a list by a code block" } ,
	{ "acc", 2, {  8,  8 }, 0, {  ~0     }, (const XCLE_CodeOperator) _CodeCall_Acc, "Executes a block on each element in a list until it returns False" } ,
	{ "exec", 1, { 8    }, ~0,{ ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0}, (const XCLE_CodeOperator) _CodeCall_Exec, "Execution of a portion of code" } ,
	{ "if", 2, { 1, 8 }, ~0,{ ~0,  ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0}, (const XCLE_CodeOperator) _CodeCall_If, "'If then' control structure" } ,
	{ "ife", 3, { 1, 8, 8 }, ~0,{ ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0 }, (const XCLE_CodeOperator) _CodeCall_IfElse, "'If then else' control structure" } ,
	{ "loop", 1, { 8    }, ~0, { ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0}, (const XCLE_CodeOperator) _CodeCall_Loop, "Loops until code execution return false" } ,
	{ "string", 1, { ~0     }, 1, {  4     }, (const XCLE_CodeOperator) _CodeCall_ToStrg, "Makes a string from an object" } ,
	{ "parse", 1, {  4    }, 1, { ~0    }, (const XCLE_CodeOperator) _CodeCall_ObjectParse, "Parse a string into objects" } ,
	{ "print", 1, { ~0   }, 0, { ~0   }, (const XCLE_CodeOperator) _CodeCall_Print, "Prints an object" } ,
	{ "println", 1, { ~0    }, 0, { ~0    }, (const XCLE_CodeOperator) _CodeCall_PrintLn, "Prints an object and \\n" } ,
	{ "printstr", 1, {  4    }, 0, { ~0    }, (const XCLE_CodeOperator) _CodeCall_PrintStr, "Prints a string with \\[abfnrt] converted" } ,
} ;

