// ## Static XCLE_Bltn Definition
// DEFINE dup
// INTERN dup


XCLE_Primitive(_CodeCall_dup) ;


static const XCLE_CodeDef _CodeData_dup = 
	{
		"dup",
		1, { ~0   },
		2, {~0, ~0},
		(const XCLE_CodeOperator) _CodeCall_dup,
		"Duplicates the first object on stack"
	} ;


XCLE_Primitive(_CodeCall_dup) {
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackGet(GETSTACK(),1) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	if(XCLE_StackPush(GETSTACK(),XCLE_ObjectCopy(obj1))==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


