// ## Static XCLE_Bltn Definition
// DEFINE exec
// INTERN exec


XCLE_Primitive(_CodeCall_exec) ;


static const XCLE_CodeDef _CodeData_exec = 
	{
		"exec",
		1, { 8    },
		~0,{ ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0},
		(const XCLE_CodeOperator) _CodeCall_exec,
		"Execution of a portion of code"
	} ;


XCLE_Primitive(_CodeCall_exec) {
	XCLE_Object obj1 = NULL ;
       	XCLE_Exception ret ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_LIST:
		ret = XCLE_ListEval(ctx,GETSTACK(),GETNAMES(),(XCLE_List)obj1) ;
		if(ret!=XCLE_EXCEPTION_OK) {
			XCLE_ObjectFree(obj1) ;
			SETSTATUS(ret) ;
			/* return ; */
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	STATUSOK() ;
	/* return ; */
}


