// ## Static XCLE_Bltn Definition
// DEFINE if
// INTERN if


XCLE_Primitive(_CodeCall_if) ;


static const XCLE_CodeDef _CodeData_if = 
	{
		"if",
		2, { 1, 8 },
		~0,{ ~0,  ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0},
		(const XCLE_CodeOperator) _CodeCall_if,
		"'If then' control structure"
	} ;


XCLE_Primitive(_CodeCall_if) {
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
       	XCLE_Exception ret ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_LIST:
			if(XCLE_IntgValue((XCLE_Intg)obj1)) {
				ret = XCLE_ListEval(ctx,GETSTACK(),GETNAMES(),(XCLE_List)obj2) ;
				if(ret!=XCLE_EXCEPTION_OK) {
					XCLE_ObjectFree(obj1) ;
					XCLE_ObjectFree(obj2) ;
					SETSTATUS(ret) ;
					/* return ; */
				}
			}
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	STATUSOK() ;
	/* return ; */
}


