// ## Static XCLE_Bltn Definition
// DEFINE peek
// INTERN stkpeek


XCLE_Primitive(_CodeCall_stkpeek) ;


static const XCLE_CodeDef _CodeData_stkpeek = 
	{
		"peek",
		1, { 1    },
		1, { ~0   },
		(const XCLE_CodeOperator) _CodeCall_stkpeek,
		"Gets the object on level stack[0]"
	} ;


XCLE_Primitive(_CodeCall_stkpeek) {
	unsigned long n = 0 ;
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		n = XCLE_IntgValue((XCLE_Intg)obj1) ;
		if((n==0)||(n>XCLE_StackDepth(GETSTACK()))) {
			SETSTATUSNUM(INVARGVAL) ;
			/* return ; */
		}
//		obj = XCLE_ObjectCopy(XCLE_StackGet(GETSTACK(),XCLE_IntgValue((XCLE_Intg)obj1))) ;
		obj = XCLE_StackGet(GETSTACK(),n) ;
#ifdef DOCHECK
		if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


