// ## Static XCLE_Bltn Definition
// DEFINE strlen
// INTERN strlen


XCLE_Primitive(_CodeCall_strlen) ;


static const XCLE_CodeDef _CodeData_strlen = 
	{
		"strlen",
		1, {  4    },
		1, {  1    },
		(const XCLE_CodeOperator) _CodeCall_strlen,
		"Returns the length of a string"
	} ;


XCLE_Primitive(_CodeCall_strlen) {
	XCLE_Object obj1 = NULL ;
	unsigned long s = 0 ;
	XCLE_Object obj = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_STRG:
		s = XCLE_StrgLen((XCLE_Strg)obj1) ;
		if(s==-1) { XCLE_ObjectFree(obj1) ; SETSTATUSNUM(RUNTIME) ; /* return ; */ }
		obj = XCLE_AnyToObject(XCLE_IntgNew(s)) ;
		if(obj==NULL) { XCLE_ObjectFree(obj1) ; SETSTATUSNUM(RUNTIME) ; /* return ; */ }
		if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	STATUSOK() ;
	/* return ; */
}


