// ## Static XCLE_Bltn Definition
// DEFINE isdef
// INTERN IsDef


XCLE_Primitive(_CodeCall_IsDef) ;


static const XCLE_CodeDef _CodeData_IsDef = 
	{
		"isdef",
		1, { ~0   },
		1, { 1    },
		(const XCLE_CodeOperator) _CodeCall_IsDef,
		"Tells wether first object on stack is not 'undef'"
	} ;


XCLE_Primitive(_CodeCall_IsDef) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_VOID:
		obj = XCLE_AnyToObject(XCLE_IntgNew(0)) ;
		break ;
	default:
		obj = XCLE_AnyToObject(XCLE_IntgNew(1)) ;
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


