// ## Static XCLE_Bltn Definition
// DEFINE vardef
// INTERN vardef


XCLE_Primitive(_CodeCall_vardef) ;


static const XCLE_CodeDef _CodeData_vardef = 
	{
		"vardef",
		1, { 4    },
		1, { 1    },
		(const XCLE_CodeOperator) _CodeCall_vardef,
		"Tells whether a variable is defined"
	} ;


#ifndef MAX_VAR_LEN
#define MAX_VAR_LEN 1024
#endif


XCLE_Primitive(_CodeCall_vardef) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	char str[MAX_VAR_LEN+1] ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_STRG:
		XCLE_StrgValue((XCLE_Strg)obj1,str,MAX_VAR_LEN) ;
		obj = XCLE_HashGet(GETNAMES(),str) ;
		if(obj==NULL) obj = XCLE_AnyToObject(XCLE_IntgNew(0)) ;
		else obj = XCLE_AnyToObject(XCLE_IntgNew(1)) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


